## GstWebRTCICETransport GstWebRTCICETransport — RTCIceTransport object |

## Properties

GstWebRTCICEComponent | component | Read / Write / Construct Only
GstWebRTCICEGatheringState | gathering-state | Read
GstWebRTCICEConnectionState | state | Read

## Signals

void | on-new-candidate | Run Last
void | on-selected-candidate-pair-change | Run Last

## Types and Values

enum | GstWebRTCICEConnectionState

## Object Hierarchy

        GEnum
        ╰── GstWebRTCICEConnectionState
        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstWebRTCICETransport

## Includes

    #include <gst/codecparsers/gstmpeg4parser.h>

## Description

https://www.w3.org/TR/webrtc/#rtcicetransport

## Functions

## Types and Values

### enum GstWebRTCICEConnectionState

See http://w3c.github.io/webrtc-pc/dom-rtciceconnectionstate

#### Members

GST_WEBRTC_ICE_GATHERING_STATE_NEW |  |
GST_WEBRTC_ICE_GATHERING_STATE_GATHERING |  |
GST_WEBRTC_ICE_GATHERING_STATE_COMPLETE |  |

## Property Details

### The `“component”` property

      “component”                GstWebRTCICEComponent

The ICE component of this transport.

Flags: Read / Write / Construct Only

Default value: GST_WEBRTC_ICE_COMPONENT_RTP

### The `“gathering-state”` property

      “gathering-state”          GstWebRTCICEGatheringState

The ICE gathering state of this transport.

Flags: Read

Default value: GST_WEBRTC_ICE_GATHERING_STATE_NEW

### The `“state”` property

      “state”                    GstWebRTCICEConnectionState

The ICE connection state of this transport.

Flags: Read

Default value: GST_WEBRTC_ICE_CONNECTION_STATE_NEW

## Signal Details

### The `“on-new-candidate”` signal

    void
    user_function (GstWebRTCICETransport *gstwebrtcicetransport,
                   gchar                 *arg1,
                   gpointer               user_data)

Flags: Run Last

### The `“on-selected-candidate-pair-change”` signal

    void
    user_function (GstWebRTCICETransport *gstwebrtcicetransport,
                   gpointer               user_data)

Flags: Run Last

## See Also

GstWebRTCRTPSender, GstWebRTCRTPReceiver, GstWebRTCDTLSTransport